Upload a file
curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-finops-version: <x-finops-version>' \
--form file='@example-file'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/files"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {'x-finops-version': '<x-finops-version>', Authorization: 'Bearer <token>'}
};
options.body = form;
fetch('https://api.sandbox.tesouro.com/finops/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"file_type": "<string>",
"md5": "<string>",
"mimetype": "<string>",
"name": "<string>",
"region": "<string>",
"s3_bucket": "<string>",
"s3_file_path": "<string>",
"size": 123,
"url": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Files
Upload a file
POST
/
finops
/
v1
/
files
Upload a file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
multipart/form-data
Response
Successful Response
Was this page helpful?
⌘I